Обновление серверов ИТС TRANSAQ

16.09.15 14:15 Новости компании

В выходные, 19-20 сентября, будет произведено обновление торговых серверов TRANSAQ АО "ФИНАМ" (в т.ч. HFT Transaq). Для подключения к торговому серверу с 21 сентября 2015 г. потребуется перейти на TRANSAQ Connector версии не ниже 2.16.1.

Торговое приложение должно быть перенастроено на взаимодействие с новой библиотекой, иначе на следующий день после обновления подключение установить не удастся. Обращаем ваше внимание, что в новой версии TRANSAQ Connector не появилось каких-либо критических нововведений, требующих переработки логики взаимодействия между библиотекой и сервером. Полный список изменений новой версии представлен ниже:

  • Параметры logsdir и loglevel являются устаревшими в команде Connect и при разборе структуры команды не анализируются. Управление параметрами логирования осуществляется с помощью функций Initialize и SetLogLevel.
  • Команда get_leverage_control отменена на уровне коннектора.
  • В  <client id="CLIENT_ID :string" remove="true/false :string"> убраны ряд полей и добавлено поле <forts_acc>счет FORTS: string</forts_acc>

Пользователям стороннего ПО, соединяющегося с серверами TRANSAQ через TRANSAQ Connector, также необходимо принять во внимание факт перехода на новую версию ПО. Пользователям такого софта следует принять обновление от разработчиков наутро после перехода. За уточнениями следует обращаться в службу поддержки разработчиков используемого ПО.

Более подробную информацию об обновлении серверов можно уточнить на странице с полным описанием продукта TRANSAQ Connector.


Актуальную версию библиотеки TRANSAQ Connector можно скачать по ссылке.

Комментарии

Загружаем...